package edu.ntnu.stud.chaosgame;

import edu.ntnu.stud.chaosgame.game.ChaosGameDescription;
import edu.ntnu.stud.chaosgame.game.ChaosGameFileHandler;
import edu.ntnu.stud.chaosgame.model.Matrix2x2;
import edu.ntnu.stud.chaosgame.model.Vector2D;
import edu.ntnu.stud.chaosgame.model.handling.ChaosCanvas;
import edu.ntnu.stud.chaosgame.model.handling.ChaosGame;
import edu.ntnu.stud.chaosgame.model.transformations.AffineTransform2D;
import edu.ntnu.stud.chaosgame.model.transformations.Transform2D;
import java.util.ArrayList;
import java.util.List;

/**
 * Main class for the Chaos Game application.
 */
public class Main {

  public static void main(String[] args) {
    System.out.println("Hi");
    String path = "src/main/resources/descriptions/Sierpinski.txt";

    ChaosGameDescription description = null; // Declare description

    ChaosGame game = null;

    try {
      //ChaosGameDescription description = new ChaosGameFileHandler().readFromFile(path);
      //description = new ChaosGameDescription(minCoords, maxCoords, transforms);
      description = new ChaosGameFileHandler().readFromFile(path);
      ChaosCanvas canvas = new ChaosCanvas(100, 100, description.getMinCoords(), description.getMaxCoords()); // Create canvas
      game = new ChaosGame(description, canvas);

    } catch (Exception e) {
      System.out.println(e.getMessage()); // TODO: Alter error handling
    }
    game.runSteps(100000);



  }
}